Bug 830587 - Review Request: hiera-puppet - Puppet front-ends and back-ends for hiera
Review Request: hiera-puppet - Puppet front-ends and back-ends for hiera
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ulrich Schwickerath
Fedora Extras Quality Assurance
:
Depends On: 826520
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 15:34 EDT by Steve Traylen
Modified: 2014-07-18 08:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-18 08:31:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2012-06-10 15:34:42 EDT
Spec URL:http://cern.ch/straylen/rpms/hiera/hiera-puppet.spec 
SRPM URL: http://cern.ch/straylen/rpms/hiera/hiera-puppet-1.0.0-0.1.rc1.fc16.src.rpm
Description:
The hiera-puppet module contains a hiera backed to query hiera.
In addition it also contains the puppet functions to allow hiera
to be queried from puppet manifests.
 
Fedora Account System Username: stevetraylen
Comment 1 Ulrich Schwickerath 2012-08-10 03:58:19 EDT
Hi, Steve,

Issues:
-------
* rpmlint produces some errors on the source rpm:

hiera-puppet.src: W: non-standard-group Unspecified
hiera-puppet.src:2: E: hardcoded-library-path in /usr/lib/ruby/site_ruby/1.8}
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
See also review request 826520. Maybe you can reshuffle this a bit to make rpmlint shut up

* a newer version is available now (rc2). Please consider to upgrade

* as of rc2 the sources  have a LICENSE file (checking github). Please check if this needs to be included in the %doc section.


Review:
-------
[x]  Package is named according to the Package Naming Guidelines. 
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Spec file is legible and written in American English.
[x]  Spec file lacks Packager, Vendor, PreReq tags.
[!]  Spec uses macros instead of hard-coded directory names.
[!]  Package consistently uses macros.
[x]  Macros in Summary, %description expandable at SRPM build time.
[x]  PreReq is not used.
[x]  Requires correct, justified where necessary.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines. 
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)).
[x]  Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x]  Package use %makeinstall only when ``make install DESTDIR=...'' doesn't work.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[-]  The spec file handles locales properly.
[x]  Changelog in prescribed format.
[-]  Rpmlint output is silent.
[x]  License field in the package spec file matches the actual license.
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  License file installed when any subpackage combination is installed.
[x]  Sources contain only permissible code or content.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
     MD5SUM this package     : 8c967feedf3ac7a0653613c5cf6b5302
     MD5SUM upstream package : 8c967feedf3ac7a0653613c5cf6b5302
[-]  Compiler flags are appropriate.
Nothing to compile
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package does not own files or directories owned by other packages.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Each %files section contains %defattr.
[x]  No %config files under /usr.
[x]  %config files are marked noreplace or the reason is justified.
[-]  Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application. 
[-]  Package contains a valid .desktop file.
[x]  Package contains code, or permissable content.
[-]  Package contains a SysV-style init script if in need of one.
[x]  File names are valid UTF-8.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[x]  Package contains no bundled libraries.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -static subpackage, if present.
[x]  Package contains no static executables.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package does not contain any libtool archives (.la).
[-]  Useful -debuginfo package or justification otherwise.
package contains only scripts
[x]  Rpath absent or only used for internal libs.
[x]  Package does not generate any conflict.
[x]  Package does not contains kernel modules.
[x]  Package is not relocatable.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x]  Package is not known to require ExcludeArch.
[x]  Package installs properly.
[x]  Package obeys FHS, except libexecdir and /usr/target.
[x]  Package meets the Packaging Guidelines.
Comment 2 Vít Ondruch 2012-10-01 05:45:41 EDT
Please name the package according to the guidelines [1] and use appropriate ruby(abi) [2]


[1] https://fedoraproject.org/wiki/Packaging:Ruby#Naming_Guidelines
[2] https://fedoraproject.org/wiki/Packaging:Ruby#Ruby_ABI
Comment 3 Moses Mendoza 2012-10-24 13:33:18 EDT
Is there any new status on this?
Comment 4 Steve Traylen 2014-07-18 08:31:07 EDT
This module is obsolete with new puppets and data bindings.

Note You need to log in before you can comment on or make changes to this bug.